SDL_GetTextureSize(3)

NAME
SDL_GetTextureSize - Get the size of a texture, as floating point values.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetTextureSize(SDL_Texture *texture, float *w, float *h);

FUNCTION PARAMETERS

texture
    the texture to query.

w   a pointer filled in with the width of the texture in pixels. This argument can be NULL if you don't need this information.

h   a pointer filled in with the height of the texture in pixels. This argument can be NULL if you don't need this information.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.